1. Payment instruments
Synswi
  • Guides
    • Getting Started With the API
    • Cash App Pay Integration Guide
  • API Reference
    • Payment instruments
      • Create a payment instrument
      • Get payment instruments
        GET
      • Get a payment instrument by id
        GET
      • Create a Payment Instrument
        POST
    • Transactions
      • Get a transaction by id
      • Get transactions
      • Create a transaction
      • Update a transaction
      • Refund a transaction
      • Create a cash-app transaction
    • Fees
      • Get current fee profile
    • Programs
      • Accounts
    • Events
      • Get Events
  1. Payment instruments

Create a Payment Instrument

POST
https://api-dev.synswi.com/payment-instruments

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples
{
    "accountId": "{{accountId}}",
    "card": {
        "cardNumber": "4000000000000069",
        "expYear": "27",
        "expMonth": "01",
        "cvv": "298"
    },
    "owner": {
        "name": {
            "fullName": "Insufficient Funds"
        }
    },
    "billingAddress": {
        "addressLine1": "in commodo",
        "addressLine2": "et cillum nostrud",
        "city": "Lefflershire",
        "state": "Ohio",
        "zipcode": "00000",
        "country": "USA"
    }
}

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{}
Previous
Get a payment instrument by id
Next
Get a transaction by id
Built with